EDIT - feature request #9924

accountCreation view with field validation
01/21/2022 11:46 AM - Andreas Kohlbecker

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.29
Severity: normal
Description
The following fields need to be required:
e User name
¢ Password - already OK
e Password repeat - already OK
Input text validation:
¢ User name : must match [A-Za-z0-9_\.\-]{3,}
¢ Password - already OK
¢ Password repeat - already OK
Related issues:
Related to EDIT - feature request #9877: Account Registration Ul Closed

Associated revisions

Revision 6e766d2f - 01/21/2022 12:02 PM - Andreas Kohlbecker

ref #9924 user name and password fields marked as required

Revision 092248d3 - 01/21/2022 12:13 PM - Andreas Kohlbecker

ref #9924 user name validation

History

#1 - 01/21/2022 11:51 AM - Andreas Kohlbecker

- Description updated

#2 - 01/21/2022 12:14 PM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

please review

#3 - 01/21/2022 02:18 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Mouse over is helpful and the wording is clear. Invalid mandatory entries are clearly indicated. The ticket can be closed.

#4 - 01/21/2022 03:02 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#5 - 01/21/2022 03:16 PM - Andreas Kohlbecker
- Related to feature request #9877: Account Registration Ul added
#6 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29
